<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Trang chủ Admin</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminHome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto" th:if="${admin.role == 'Cộng tác viên'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/person-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin cá nhân
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Danh sách học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Danh sách lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Danh sách tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <ul class="nav nav-pills flex-column mb-auto"
        th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>

  </div>
  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <div id="statisticalTable">
      <div class="row" style="margin-top: 20px">
        <div class="col-md-5 d-flex justify-content-center align-items-center">
          <h5 id="titleTable">Thống kê số liệu website</h5>
        </div>
        <form class="col-md-7" method="get"
              style="display:flex; flex-direction: column; justify-content: center"
              th:action="@{/home}" th:object="${statisticTime}">
          <div style="display:flex; justify-content: space-around">
            <div style="display: flex">
              <label class="d-flex flex-column justify-content-center">Thời gian: </label>
              &nbsp;&nbsp;
              <input class="form-control" id="dateStart"
                     style="width: fit-content" th:field="${statisticTime.dateStart}"
                     type="date"/>
              &nbsp;&nbsp;
              <label class="d-flex flex-column justify-content-center">-</label>
              &nbsp;&nbsp;
              <input class="form-control" id="dateEnd"
                     style="width: fit-content" th:field="${statisticTime.dateEnd}" type="date"/>
              &nbsp;&nbsp;
              <button class="d-flex flex-column justify-content-center" onclick="submitForm()"
                      type="submit">
                <i aria-hidden="true" class="fa fa-search"></i>
              </button>
              &nbsp;&nbsp;
              <button class="d-flex flex-column justify-content-center" type="reset">
                <i aria-hidden="true" class="fa fa-refresh"></i>
              </button>
            </div>
          </div>
        </form>
      </div>
      <div style="width: 95%; margin: auto">
        <div class="row justify-content-between">
          <div class="col-3 statisticalBox" style="width: fit-content">
            <div class="summaryNumber">
              <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp; Cộng tác viên: &nbsp;
              <span style="margin: 0; color: red; width: fit-content;"
                    th:text="${totalCollaborator} + ' người'">
                </span>
            </div>
            <table class="table table-borderless">
              <thead>
              <tr>
              </tr>
              </thead>
              <tbody>
              <tr>
                <th scope="row">Quản lý:</th>
                <td th:text="${numberAdmin} + ' người'"></td>
              </tr>
              <tr>
                <th scope="row">Cộng tác viên:</th>
                <td th:text="${numberCollaborator} + ' người'"></td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="col-3 statisticalBox" style="width: fit-content">
            <div class="summaryNumber">
              <i aria-hidden="true" class="fa fa-book"></i> &nbsp; Khóa học: &nbsp;
              <span style="margin: 0; color: red; width: fit-content;"
                    th:text="${totalCourse} + ' khóa'"></span>
            </div>
            <table class="table table-borderless">
              <thead>
              <tr>
              </tr>
              </thead>
              <tbody>
              <tr>
                <th scope="row">Công nghệ thông tin:</th>
                <td th:text="${numberCourseProgramming} + ' khóa'"></td>
              </tr>
              <tr>
                <td style="font-weight: bold">Mạng hệ thống:</td>
                <td th:text="${numberCourseNetwork} + ' khóa'"></td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="col-3 statisticalBox" style="width: fit-content">
            <div class="summaryNumber">
              <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp; Tuyển dụng: &nbsp;
              <span style="margin: 0; color: red; width: fit-content;"
                    th:text="${totalJob} + ' bài đăng'"></span>
            </div>
            <table class="table table-borderless">
              <thead>
              <tr>
              </tr>
              </thead>
              <tbody>
              <tr>
                <th scope="row">Công nghệ thông tin:</th>
                <td th:text="${numberJobProgramming} + ' bài đăng'"></td>
              </tr>
              <tr>
                <td style="font-weight: bold">Mạng hệ thống:</td>
                <td th:text="${numberJobNetwork} + ' bài đăng'"></td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
        <div class="row justify-content-between">
          <div class="col-4 statisticalBox">
            <div class="summaryNumber">
              <i aria-hidden="true" class="fa fa-users"></i> &nbsp; Lớp học: &nbsp;
              <span style="margin: 0; color: red; width: fit-content;"
                    th:text="${totalClass} + ' lớp'"></span>
            </div>
            <table class="table table-borderless">
              <thead>
              <tr>
              </tr>
              </thead>
              <tbody>
              <tr>
                <th scope="row">Dự bị:</th>
                <td th:text="${numberClassPrep} + ' lớp'"></td>
              </tr>
              <tr>
                <td style="font-weight: bold">Sắp khai giảng:</td>
                <td th:text="${numberClassWait} + ' lớp'"></td>
              </tr>
              <tr>
                <th scope="row">Đang diễn ra:</th>
                <td th:text="${numberClassDoing} + ' lớp'"></td>
              </tr>
              <tr>
                <td style="font-weight: bold">Đã kết thúc:</td>
                <td th:text="${numberClassFinished} + ' lớp'"></td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="col-7 d-flex flex-column justify-content-center">
            <div class="statisticalBox" style="width: 100%">
              <div class="summaryNumber">
                <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp; Tin tức: &nbsp;
                <span style="margin: 0; color: red; width: fit-content;"
                      th:text="${totalNews} + ' bài viết'"></span>
              </div>
              <table class="table table-borderless" style="text-align: center">
                <thead>
                <tr>
                  <th scope="col"></th>
                  <th scope="col">Tổng</th>
                  <th scope="col">Học viện</th>
                  <th scope="col">Công nghệ</th>
                  <th scope="col">Giới thiệu</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                  <th scope="row">Chờ duyệt</th>
                  <td th:text="${totalNewsWait} + ' bài viết'"></td>
                  <td th:text="${numberNewsWaitAcademy} + ' bài viết'"></td>
                  <td th:text="${numberNewsWaitTech} + ' bài viết'"></td>
                  <td th:text="${numberNewsWaitQA} + ' bài viết'"></td>
                </tr>
                <tr>
                  <th scope="row">Hoạt động</th>
                  <td th:text="${totalNewsActive} + ' bài viết'"></td>
                  <td th:text="${numberNewsActiveAcademy} + ' bài viết'"></td>
                  <td th:text="${numberNewsActiveTech} + ' bài viết'"></td>
                  <td th:text="${numberNewsActiveQA} + ' bài viết'"></td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="row" style="margin-bottom: 10px">
          <div class="statisticalBox">
            <div class="summaryNumber">
              <i aria-hidden="true" class="fa fa-user"></i> &nbsp; Học viên: &nbsp;
              <span style="margin: 0; color: red; width: fit-content;"
                    th:text="${totalStudent} + ' học viên'"></span>
            </div>
            <table class="table table-borderless" style="text-align: center;">
              <thead>
              <tr>
                <th scope="col">Lớp</th>
                <th scope="col">Tổng</th>
                <th scope="col">Mới</th>
                <th scope="col">Chưa đóng học</th>
                <th scope="col">Đã đóng một phần</th>
                <th scope="col">Đã đóng học</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="index : ${listStatisticStudent}">
                <th scope="row" th:text="${index.className}"></th>
                <td th:text="${index.totalStudent} + ' học viên'"></td>
                <td th:text="${index.numberNewStudent} + ' học viên'"></td>
                <td th:text="${index.numberWaitStudent} + ' học viên'"></td>
                <td th:text="${index.numberPayHalfStudent} + ' học viên'"></td>
                <td th:text="${index.numberConfirmStudent} + ' học viên'"></td>
              </tr>
              </tbody>
            </table>
            <small><i aria-hidden="true" class="fa fa-exclamation-triangle"></i> - Số lượng thông
              tin học viên có thể khác so với lượng thông tin đăng kí học từng lớp</small>
          </div>
        </div>
      </div>
    </div>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;
    setTimeout(showTime, 1000);
  }

  showTime();

  function submitForm() {
    var dateStart = new Date($("#dateStart").val());
    var dateEnd = new Date($("#dateEnd").val());

    if ($("#dateStart").val() !== "" && $("#dateEnd").val() === "") {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Lỗi...',
        text: 'Bạn chưa chọn ngày kết thúc',
        showConfirmButton: false,
        showCloseButton: true
      });
    } else if (dateEnd < dateStart) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Lỗi...',
        text: 'Ngày kết thúc lớn hơn ngày bắt đầu',
        showConfirmButton: false,
        showCloseButton: true
      });
    }
  }
</script>
</body>
</html>
